// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: tms/transport-service.proto

package tms

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	model "gitlab.com/supply-net/shared/go-grpc/tms/model"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchTransportRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Grid   *common.Grid           `protobuf:"bytes,1,opt,name=grid,proto3" json:"grid,omitempty"`
	Search *model.SearchTransport `protobuf:"bytes,2,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *SearchTransportRequest) Reset() {
	*x = SearchTransportRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchTransportRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchTransportRequest) ProtoMessage() {}

func (x *SearchTransportRequest) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchTransportRequest.ProtoReflect.Descriptor instead.
func (*SearchTransportRequest) Descriptor() ([]byte, []int) {
	return file_tms_transport_service_proto_rawDescGZIP(), []int{0}
}

func (x *SearchTransportRequest) GetGrid() *common.Grid {
	if x != nil {
		return x.Grid
	}
	return nil
}

func (x *SearchTransportRequest) GetSearch() *model.SearchTransport {
	if x != nil {
		return x.Search
	}
	return nil
}

type SearchTransportResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*model.TransportRow `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *SearchTransportResponse) Reset() {
	*x = SearchTransportResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchTransportResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchTransportResponse) ProtoMessage() {}

func (x *SearchTransportResponse) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchTransportResponse.ProtoReflect.Descriptor instead.
func (*SearchTransportResponse) Descriptor() ([]byte, []int) {
	return file_tms_transport_service_proto_rawDescGZIP(), []int{1}
}

func (x *SearchTransportResponse) GetData() []*model.TransportRow {
	if x != nil {
		return x.Data
	}
	return nil
}

var File_tms_transport_service_proto protoreflect.FileDescriptor

var file_tms_transport_service_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x74, 0x6d, 0x73, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x74,
	0x6d, 0x73, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2f, 0x67, 0x72, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20, 0x74, 0x6d, 0x73,
	0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1d, 0x74,
	0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x2d, 0x72, 0x6f, 0x77, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x68, 0x0a, 0x16,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x0a, 0x04, 0x67, 0x72, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x47, 0x72,
	0x69, 0x64, 0x52, 0x04, 0x67, 0x72, 0x69, 0x64, 0x12, 0x2c, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53,
	0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x06,
	0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22, 0x40, 0x0a, 0x17, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x25, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x11, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x52,
	0x6f, 0x77, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x32, 0x93, 0x01, 0x0a, 0x10, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x3a, 0x0a,
	0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x16, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x43, 0x0a, 0x06, 0x53, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x12, 0x1b, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x1c, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x73,
	0x0a, 0x17, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74,
	0x2e, 0x67, 0x72, 0x70, 0x63, 0x2e, 0x74, 0x6d, 0x73, 0x42, 0x10, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x01, 0x5a, 0x28, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79,
	0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67,
	0x72, 0x70, 0x63, 0x2f, 0x74, 0x6d, 0x73, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x0d,
	0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x4d, 0x53, 0xca, 0x02, 0x03,
	0x54, 0x4d, 0x53, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_tms_transport_service_proto_rawDescOnce sync.Once
	file_tms_transport_service_proto_rawDescData = file_tms_transport_service_proto_rawDesc
)

func file_tms_transport_service_proto_rawDescGZIP() []byte {
	file_tms_transport_service_proto_rawDescOnce.Do(func() {
		file_tms_transport_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_tms_transport_service_proto_rawDescData)
	})
	return file_tms_transport_service_proto_rawDescData
}

var file_tms_transport_service_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_tms_transport_service_proto_goTypes = []interface{}{
	(*SearchTransportRequest)(nil),  // 0: tms.SearchTransportRequest
	(*SearchTransportResponse)(nil), // 1: tms.SearchTransportResponse
	(*common.Grid)(nil),             // 2: common.Grid
	(*model.SearchTransport)(nil),   // 3: tms.SearchTransport
	(*model.TransportRow)(nil),      // 4: tms.TransportRow
	(*common.VersionRequest)(nil),   // 5: common.VersionRequest
	(*common.VersionResponse)(nil),  // 6: common.VersionResponse
}
var file_tms_transport_service_proto_depIdxs = []int32{
	2, // 0: tms.SearchTransportRequest.grid:type_name -> common.Grid
	3, // 1: tms.SearchTransportRequest.search:type_name -> tms.SearchTransport
	4, // 2: tms.SearchTransportResponse.data:type_name -> tms.TransportRow
	5, // 3: tms.TransportService.Version:input_type -> common.VersionRequest
	0, // 4: tms.TransportService.Search:input_type -> tms.SearchTransportRequest
	6, // 5: tms.TransportService.Version:output_type -> common.VersionResponse
	1, // 6: tms.TransportService.Search:output_type -> tms.SearchTransportResponse
	5, // [5:7] is the sub-list for method output_type
	3, // [3:5] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_tms_transport_service_proto_init() }
func file_tms_transport_service_proto_init() {
	if File_tms_transport_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_tms_transport_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchTransportRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchTransportResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_tms_transport_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_tms_transport_service_proto_goTypes,
		DependencyIndexes: file_tms_transport_service_proto_depIdxs,
		MessageInfos:      file_tms_transport_service_proto_msgTypes,
	}.Build()
	File_tms_transport_service_proto = out.File
	file_tms_transport_service_proto_rawDesc = nil
	file_tms_transport_service_proto_goTypes = nil
	file_tms_transport_service_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// TransportServiceClient is the client API for TransportService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type TransportServiceClient interface {
	Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error)
	Search(ctx context.Context, in *SearchTransportRequest, opts ...grpc.CallOption) (*SearchTransportResponse, error)
}

type transportServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewTransportServiceClient(cc grpc.ClientConnInterface) TransportServiceClient {
	return &transportServiceClient{cc}
}

func (c *transportServiceClient) Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error) {
	out := new(common.VersionResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportService/Version", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportServiceClient) Search(ctx context.Context, in *SearchTransportRequest, opts ...grpc.CallOption) (*SearchTransportResponse, error) {
	out := new(SearchTransportResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportService/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TransportServiceServer is the server API for TransportService service.
type TransportServiceServer interface {
	Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error)
	Search(context.Context, *SearchTransportRequest) (*SearchTransportResponse, error)
}

// UnimplementedTransportServiceServer can be embedded to have forward compatible implementations.
type UnimplementedTransportServiceServer struct {
}

func (*UnimplementedTransportServiceServer) Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Version not implemented")
}
func (*UnimplementedTransportServiceServer) Search(context.Context, *SearchTransportRequest) (*SearchTransportResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}

func RegisterTransportServiceServer(s *grpc.Server, srv TransportServiceServer) {
	s.RegisterService(&_TransportService_serviceDesc, srv)
}

func _TransportService_Version_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.VersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportServiceServer).Version(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportService/Version",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportServiceServer).Version(ctx, req.(*common.VersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportService_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SearchTransportRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportServiceServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportService/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportServiceServer).Search(ctx, req.(*SearchTransportRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _TransportService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "tms.TransportService",
	HandlerType: (*TransportServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Version",
			Handler:    _TransportService_Version_Handler,
		},
		{
			MethodName: "Search",
			Handler:    _TransportService_Search_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "tms/transport-service.proto",
}
